domains

POST /v1/domains/{domainId}/email-routing/rules

Add a forwarding rule.

Todos los endpoints de domains

Autenticación

Envía una clave de API como token de portador. La clave debe tener el permiso domains.dns.manage; una clave que no lo tenga se rechazará con un código 403, no 404.

Este endpoint no requiere ningún id de organización. Su clave ya identifica la organización a la que pertenece, y la respuesta está delimitada a ella.

Pruébalo

Reemplaza cualquier elemento entre corchetes angulares por tus propios valores, y el marcador de posición key con una clave de tu panel de control.

curl -X POST https://api.zinndigital.com/v1/domains/{domainId}/email-routing/rules \
  -H "Authorization: Bearer zdk_live_…" \
  -H "Content-Type: application/json" \
  -d '{ "matcher": <string>, "destinations": <string[]> }'

¿Has iniciado sesión? La consola de la API en tu panel de control rellena el ID de tu organización real y tu propia clave, y ejecuta la solicitud contra la API en vivo para que puedas ver la respuesta real. Abre este endpoint en la consola de la API

Detalles

Forward mail for one address to one or more verified destinations, or drop it. `drop` is a chosen behaviour and is never inferred from an empty destination list. Requires `domains.dns.manage`.

Parámetros

NombreTipoObligatorio¿Qué es esto?
domainId (path)UuidThe domain's id.

Cuerpo de la solicitud

NombreTipoObligatorio¿Qué es esto?
matcherstring
destinationsstring[]
actionEmailRoutingActionNo`drop` is a chosen behaviour — it is how a catch-all silently discards spam — and is never inferred from an empty destination list.
namestringNo
enabledbooleanNo

Respuesta

NombreTipoObligatorio¿Qué es esto?
rule_idstring
matcherstringThe address this rule applies to. Empty for the catch-all.
destinationsstring[]
actionEmailRoutingAction`drop` is a chosen behaviour — it is how a catch-all silently discards spam — and is never inferred from an empty destination list.
namestring
enabledboolean
catch_allboolean
unsupportedboolean`true` when the provider's rule uses a shape this API cannot express — a Worker target, say. Such a rule is shown read-only rather than hidden: hiding it would make this screen…

Errores que este endpoint puede devolver

401 · 403 · 404 · 422 · 429 · 503